Announcement

Collapse
No announcement yet.

Advanced Sessions Plugin

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

    Hello,

    first of all awesome thanks mordentral.

    but i have a questions. What happens, if we update sooner or later to 4.9 or 5.0.
    Iam pretty sure you also gonna update your plugin, i dont worry about that.

    but what happens, if unreal fix the network stuff and add also new funky stuff to the network bp's.
    Could it be, that we need to choose then? I also don't worry about it, just asking it myself

    greetz

    Comment


      Originally posted by Spaehling View Post
      Hello,

      first of all awesome thanks mordentral.

      but i have a questions. What happens, if we update sooner or later to 4.9 or 5.0.
      Iam pretty sure you also gonna update your plugin, i dont worry about that.

      but what happens, if unreal fix the network stuff and add also new funky stuff to the network bp's.
      Could it be, that we need to choose then? I also don't worry about it, just asking it myself

      greetz
      Well the plugin is totally separate so as long as I update to any back end changes it should just keep working and you can toss in anything that unreal does themselves at will as long as it doesn't conflict somehow (the goal is for that to not happen). Originally I was going to support it until they started adding in these things themselves but I haven't seen any indication of it being on the horizon and at this point with multiple projects using the plugins I should probably keep it updated for the foreseeable future even if they do start exposing some of this in the base engine. If they add things like the host variables I would probably just switch it over to use those instead of the structures that I had to declare to make it work.

      Some things may cause me to feature lock an engine version like 4.7, it was a buggy mess and the plugin was working decently well on it so I dropped updating it so that I could handle other versions later on.

      I will be downloading the 4.9 preview soon and checking compatibility on it but when I did that for 4.8 I had to recompile after release as the binaries didn't work from preview for the release version so there would be a brief delay after release before a working version is out (The time it takes to download and recompile after I get to my computer).


      Consider supporting me on patreon

      My Open source tools and plugins
      Advanced Sessions Plugin
      VR Expansion Plugin

      Comment


        I can not start the engine now ,I am using 4.8.3

        http://i.imgur.com/wLv7SHF.png?1
        Assets: Military Ammunition (Released)
        Plugins: BlueManBPFunctionLibrary C++ plugin (Free), Blue Man Vehicle AI Plugin (Released), Air Resistance C++ Plugin (WIP), Blue Man Vehicle Physics Plugin (Marketplace)
        Projects: Giants Of Destruction

        Comment


          *Edit*
          Didn't see Blue man's post before posting , apologies !
          The question is probably along the same lines though.

          ------------------------
          Hey there mordentral.

          I have a question. I'm using 4.8.3 binary through the launcher, I'm not sure if this is an issue or not (though I get the hunch it may be why I). So I downloaded the 4.8 version on the first page and went through the following steps.

          My workflow.

          - Create new 4.8.3 project, Blueprints only.
          - Exit editor.
          - Copy the contents of the zip to Project/Plugins/AdvancedSessions/
          - Startup the project.

          The project gets to about 70%-ish loaded and throws up the wonderful warning message.

          Code:
          Plugin 'AdvancedSessions' failed to load because module 'AdvancedSessions' does not appear to be compatible with the current version of the engine.  The plugin may need to be recompiled.
          I would be most grateful if you were able to point me in the right direction on this one. Shall I download the 4.8.3 source and build from there. That wouldn't really be an issue as I've done it plenty of times before, I'd just like a little confirmation before I head down that path.

          Best Regards
          MrNexy

          Comment


            I have another Problem.
            After downloading your Update and putting it in my Plugins Folder
            there is an Error.

            "The following modules are missing or built with a different engine version:

            UE4Editor-AdvancedSessions.dll

            Would you like to rebuild them now?
            "

            If i press yes it says compiling failed, do it in the Source.
            So i opened Visual Studio and tryed to compile but...:

            Error 1 error : Couldn't find module rules file for module 'AdvancedSessions'. C:\Game Development\Projects\Spyfull\Intermediate\ProjectFiles\EXEC Spyfull

            Comment


              I have now an Idea why.
              After browsing through the SpyfullModuleRulesSourceFiles.txt i see this:
              "C:\Game Development\Projects\Spyfull\Plugins\AdvancedSessions\Source\AdvancedSessions\AdvancedSessions.Build.cs"

              so... the Problem is there is no AdvancedSessions.Build.Cs included in your newest Update.

              edit: Fixed it myself now, just putted in the old Files from the .zip before (I still had them)
              Last edited by xHellYeah; 08-19-2015, 10:43 AM.

              Comment


                nah it was missing the entire source folder contents, I must have hit enter during copy while fixing the folders last night (I really should double check things before uploading when i'm doing something that late ).

                Its been fixed, but like I said you didn't need to download the entire thing over again.


                Consider supporting me on patreon

                My Open source tools and plugins
                Advanced Sessions Plugin
                VR Expansion Plugin

                Comment


                  Originally posted by xHellYeah View Post
                  edit: Fixed it myself now, just putted in the old Files from the .zip before (I still had them)
                  I did the same thing and now it work but when I make sub folder I can't package my project and without sub folder I can package my project but I can't run my game.

                  Edit: I made C++ project and I can not compile it.
                  Last edited by Blue man; 08-19-2015, 01:21 PM.
                  Assets: Military Ammunition (Released)
                  Plugins: BlueManBPFunctionLibrary C++ plugin (Free), Blue Man Vehicle AI Plugin (Released), Air Resistance C++ Plugin (WIP), Blue Man Vehicle Physics Plugin (Marketplace)
                  Projects: Giants Of Destruction

                  Comment


                    //fixed it
                    Last edited by xHellYeah; 08-19-2015, 12:06 PM.

                    Comment


                      Originally posted by MrNexy View Post
                      *Edit*
                      *Snip*

                      Sorry again this is the result of uploading it with the source folder missing, normally loading from 4.8.1 to 4.8.3 it would just compile it for you. The newest download should work as I added the source folder back in, I think I had hit enter with focus on the copy operation while I was working on something else.

                      My multitasking isn't what it used to be.

                      I'll also update my work copy to 4.8.3 and recompile to stay up to date on the latest version release for the download.

                      *Edit* Also I downloaded the 4.9 preview 4 this morning and got the plugin working, will release a test version when the compiler is done. They changed a lot of the functions to take Const parameters now and modified some of the delegates so it was a bit of a hassle to convert. If anyone runs into any crashes or bugs with it on 4.9 (Especially the friends functions as they were the ones changed) please let me know.
                      Last edited by mordentral; 08-19-2015, 12:25 PM.


                      Consider supporting me on patreon

                      My Open source tools and plugins
                      Advanced Sessions Plugin
                      VR Expansion Plugin

                      Comment


                        4.9 Preview 4 compatible build is uploaded on main page.


                        4.8 Build has been re-compiled in latest hotfix version 4.8.3 and re-uploaded (double checked folders this time)


                        Consider supporting me on patreon

                        My Open source tools and plugins
                        Advanced Sessions Plugin
                        VR Expansion Plugin

                        Comment


                          Originally posted by mordentral View Post
                          Sorry again this is the result of uploading it with the source folder missing, normally loading from 4.8.1 to 4.8.3 it would just compile it for you. The newest download should work as I added the source folder back in, I think I had hit enter with focus on the copy operation while I was working on something else.

                          My multitasking isn't what it used to be.

                          I'll also update my work copy to 4.8.3 and recompile to stay up to date on the latest version release for the download.

                          *Edit* Also I downloaded the 4.9 preview 4 this morning and got the plugin working, will release a test version when the compiler is done. They changed a lot of the functions to take Const parameters now and modified some of the delegates so it was a bit of a hassle to convert. If anyone runs into any crashes or bugs with it on 4.9 (Especially the friends functions as they were the ones changed) please let me know.
                          Good to go mordentral, thank you very much for this ! I've been dying for more access to OSS in BP
                          Keep up the great work !

                          Comment


                            Originally posted by mordentral View Post
                            Well the plugin is totally separate so as long as I update to any back end changes it should just keep working and you can toss in anything that unreal does themselves at will as long as it doesn't conflict somehow (the goal is for that to not happen). Originally I was going to support it until they started adding in these things themselves but I haven't seen any indication of it being on the horizon and at this point with multiple projects using the plugins I should probably keep it updated for the foreseeable future even if they do start exposing some of this in the base engine. If they add things like the host variables I would probably just switch it over to use those instead of the structures that I had to declare to make it work.

                            Some things may cause me to feature lock an engine version like 4.7, it was a buggy mess and the plugin was working decently well on it so I dropped updating it so that I could handle other versions later on.

                            I will be downloading the 4.9 preview soon and checking compatibility on it but when I did that for 4.8 I had to recompile after release as the binaries didn't work from preview for the release version so there would be a brief delay after release before a working version is out (The time it takes to download and recompile after I get to my computer).
                            awesome and thanks again yeah i tested your plugin. its pretty simple to switch. Nothing to worry about. So keep up the good work

                            Comment


                              This is a fantastic plugin, I am definitely going to use it in my project. If you are still looking to add features it would very nice if you could look at the online voice chat system and expose it to BluePrint, if it is even possible. I would love to be able to have VoiceChat playing through a soundcomponent of my choice.

                              Comment


                                Well they do have a VoiceInterface that works with subsystems, i'll look into it, however Spatialization doesn't appear to be possible with simply exposing it to blueprints from what i've read.

                                A blueprint system for it would more be like muting players and controlling push to talk and things like that and notifying when someone starts talking. Anything more would require re-writes of what Epic has already done.

                                *Edit*
                                Yeah the voice interface is simple stuff (no Spatialization though), already adding it in. You can expect an update in the next few days with more features. Also taking a look at the cloud and party interfaces and a few others to see if anything in them would make good use of blueprint access.

                                Wish I had named it something else, Advanced Sessions doesn't really cover everything it is going to handle.
                                Last edited by mordentral; 08-20-2015, 03:43 PM.


                                Consider supporting me on patreon

                                My Open source tools and plugins
                                Advanced Sessions Plugin
                                VR Expansion Plugin

                                Comment

                                Working...
                                X